Package: org.grails.plugins.web.controllers

## [Groovy] Class ControllersGrailsPlugin

- org.grails.plugins.web.controllers.ControllersGrailsPlugin

-     @groovy.util.logging.Slf4j
      class ControllersGrailsPlugin
      extends Plugin

  Handles the configuration of controllers for Grails.

  Authors:
    Graeme Rocher
  Since:
    0.4

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `ControllersGrailsPlugin.GrailsWebMvcConfigurer` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.Object` | `dependsOn` |
    `private java.lang.Object` | `observe` |
    `private java.lang.Object` | `version` |
    `private java.lang.Object` | `watchedResources` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Plugin` | `applicationContext, artefacts, enabled, environment, grailsApplication, plugin, pluginManager`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.Object` | `dependsOn`
    `java.lang.Object` | `observe`
    `java.lang.Object` | `version`
    `java.lang.Object` | `watchedResources`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ControllersGrailsPlugin ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `groovy.lang.Closure` | `doWithSpring()`
    `` | `void` | `onChange(java.util.Map<java.lang.String, java.lang.Object> event)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Plugin` | `beans, doWithApplicationContext, doWithDynamicMethods, doWithSpring, getApplicationContext, getConfig, getManager, onChange, onConfigChange, onShutdown, onStartup, setApplicationContext`

- - ### Field Detail

    - #### private java.lang.Object dependsOn

    - #### private java.lang.Object observe

    - #### private java.lang.Object version

    - #### private java.lang.Object watchedResources

  - ### Property Detail

    - #### java.lang.Object dependsOn

    - #### java.lang.Object observe

    - #### java.lang.Object version

    - #### java.lang.Object watchedResources

  - ### Constructor Detail

    - #### ControllersGrailsPlugin()

  - ### Method Detail

    - #### @java.lang.Override groovy.lang.Closure doWithSpring()

    - #### @java.lang.Override void onChange(java.util.Map<java.lang.String, java.lang.Object> event)